{
  "description": "로컬에서 실행함. defree.ddns.net의 oracle 연결",
  "myHostId": "agent-tuf-a15-defree-oracle",
  "myHostName": "192.168.0.41",
  "myListenPort": 63801,
  "sslEnabled": true,
  "keyStorePath": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-tuf-a15-defree-oracle/cert/dfxagent-bsm-lab-oracle.p12",
  "keyStorePassword": "qortpals1!",
  "keyStoreAlias": "agent-tuf-a15-defree-oracle",
  "trustStorePath": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-tuf-a15-defree-oracle/cert/truststore-bsm-lab-oracle.jks",
  "trustStorePassword": "qortpals1!",
  "knownAgentList": [
    {
      "hostId": "agent-bsm-lab-postgres",
      "hostName": "192.168.0.41",
      "listenPort": 17801,
      "sslEnabled": true,
      "dropBoxIdList": [
        "dropbox-ttoBd"
      ],
      "routingHostIdList": [
        "agent-bsm-lab-postgres"
      ]
    }
  ],
  "statusChecker": {
    "cron": "0/5 * * * * *",
    "consoleHostName": "tof.bsm-lab.com",
    "consoleListenPort": 443,
    "consoleSslEnabled": true
  },
  "dataSourceConfig": [
    {
      "dataSourceId": "ds-defree-oracle",
      "driverClassName": "oracle.jdbc.driver.OracleDriver",
      "url": "jdbc:oracle:thin:@defree.ddns.net:63521:ORCLCDB",
      "username": "defree",
      "password": "likedmstnr1",
      "initialSize": 10,
      "minIdle": 10,
      "maxIdle": 30,
      "maxTotal": 300,
      "maximumRowForTransaction": 1000
    }
  ],
  "sqlMapperLocations": [
    "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-tuf-a15-defree-oracle/conf/mappers/**/*.xml"
  ],
  "logging": {
    "logDirectory": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-tuf-a15-defree-oracle/logs",
    "logFileName": "dfxagent.log",
    "logName": "DFX_LOG",
    "maxHistory": 30,
    "logPattern": "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n",
    "rootLogLevel": "DEBUG",
    "packages": [
      {
        "com.bsmlab.dfx.agent": "DEBUG",
        "jdbc.timing": "DEBUG",
        "jdbc.sqltiming": "OFF",
        "jdbc.sqlonly": "OFF",
        "jdbc.audit": "OFF",
        "jdbc.resultset": "OFF",
        "jdbc.resultsettable": "OFF",
        "jdbc.connection": "OFF",
        "org.springframework": "INFO"
      }
    ]
  },
  "dropBoxConfig": {
    "sentMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-tuf-a15-defree-oracle/messages/sent",
    "receivedMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-tuf-a15-defree-oracle/messages/received",
    "processedMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-tuf-a15-defree-oracle/messages/processed",
    "failureMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-tuf-a15-defree-oracle/messages/failure",
    "manualMessageStorageRoot": "D:/projects/bsm-lab/dfx/dfxagent/src/docs/agent-tuf-a15-defree-oracle/messages/manual",
    "threadPoolSize": 300,
    "retentionDaysOfProcessedMessage": 60,
    "dropBoxList": [
    ]
  },
  "postmanConfig": {
    "threadPoolSize": 30,
    "postmanList": [
      {
        "postmanId": "postman-oracle-tto-bd-10",
        "taskType": "DB_READ_THEN_SEND",
        "action": {
          "type": "SCHEDULED",
          "cron": "0 0/1 * * * *"
        },
        "message": {
          "messageType": "TRANSFER_DB_TO_DB",
          "dataSourceId": "ds-defree-oracle",
          "sqlId": "address.postman.oracle.ttoBd.selectTtoBd10",
          "postProcessingSqlId": "address.postman.oracle.ttoBd.updateTtoBd10TransferDone"
        },
        "recipientHostId": "agent-bsm-lab-postgres",
        "recipientDropBoxId": "dropbox-ttoBd",
        "description": "건물DB-건물 송신"
      }
    ]
  }
}
